<template>
	<view class="container">
		<view class="bg" >
			<image  src="../../static/default/i_bg.png" style="width: 100%;height:100%" mode="aspectFill"></image>
		</view>
		<view class="wrapper u-relative" style="padding-top: 48rpx;box-sizing: border-box;">
			<view class="input-content">
				<view style="font-size: 58rpx;font-weight: bold;color: #333;margin-bottom: 48rpx;">重置密码</view>
				<view class="cu-form-group">
					<view class="title">手机号</view>
					<input  class="input" type="number" :value="mobile" placeholder="请输入手机号" maxlength="11" data-key="mobile"
						@input="inputChange" />
				</view>
				<view class="cu-form-group">
					<text class="title">验证码</text>
					<view class="input flex">
						<input type="number" :value="code" placeholder="请输入验证码" maxlength="6" data-key="code"
						@input="inputChange" @confirm="reset" />
						<button class="send-msg" @click="sendMsg" :disabled="sending">{{ sendTime }}</button>
					</view>
				</view>

				<view class="cu-form-group">
					<text class="title">设置密码</text>
					<input class="input" type="password" :value="password" placeholder="请设置新密码" placeholder-class="input-empty"
						maxlength="20" minlength="6" data-key="password" @input="inputChange" @confirm="reset" />
				</view>
				<button class="confirm-btn" @click="reset">立即重置</button>
			</view>

		</view>
	</view>
</template>

<script>
	import http from '@/http/http.js';
	export default {
		data() {
			return {
				code: '',
				mobile: '',
				password: '',
				sending: false,
				sendTime: '获取验证码',
				count: 60,
			};
		},
		onLoad() {
		
		},
		methods: {
			
			/**
			 * 发送验证码
			 */
			sendMsg() {
				if (!this.mobile) {
					uni.showToast({
						title: '请输入手机号',
						icon: 'none',
						duration: 1000
					})
				} else if (this.mobile.length !== 11) {
					uni.showToast({
						title: '请输入正确的手机号',
						icon: 'none',
						duration: 1000
					})
				} else {
					uni.showLoading({
						title: '正在发送验证码...'
					})
					http.request({
						url:'app/Login/sendMsg/' + this.mobile + '/forget',
					}).then(res => {
						if ( res.code == 0 ) {
							this.sending = true;
							uni.showToast({
								title: '验证码发送成功请注意查收',
								icon: 'none',
								duration: 1000
							})
							this.countDown();
						} else {
							uni.showModal({
								showCancel: false,
								title: '短信发送失败',
								content: res.msg ? res.msg : '请一分钟后再获取验证码'
							});
						}
						
						uni.hideLoading();
					})
					
				}
			},
			
			/**
			 * 验证码倒计时
			 */
			countDown() {
				const { count } = this;
				if (count === 1) {
					this.count = 60;
					this.sending = false;
					this.sendTime = '获取验证码';
				} else {
					this.count = count - 1;
					this.sending = true;
					this.sendTime = count - 1 + '秒后重新获取';
					setTimeout(this.countDown.bind(this), 1000);
				}
			},
			
			/**
			 * 获取手机号/验证码/密码
			 * @param {Object} e
			 */
			inputChange(e) {
				const key = e.currentTarget.dataset.key;
				this[key] = e.detail.value;
			},
		
			
			/**
			 * 注册
			 */
			reset() {
				const {
					mobile,
					password,
					code
				} = this;
				if (!mobile) {
					// this.$queue.showToast("请输入手机号");
					uni.showToast({
						title: '请输入手机号',
						icon: 'none',
						duration: 1000
					})
				} else if (!code) {
					// this.$queue.showToast("密码位数必须大于六位");
					uni.showToast({
						title: '请输入验证码',
						icon: 'none',
						duration: 1000
					})
				} else if (!password) {
					// this.$queue.showToast("请设置密码");
					uni.showToast({
						title: '请输入密码',
						icon: 'none',
						duration: 1000
					})
				} else {
					this.loginIng = true;
					// this.$queue.showLoading("正在修改密码中...");
					uni.showLoading({
						title: '正在修改密码中...'
					})
					http.request({
						url: 'app/Login/forgetPwd?pwd=' + password + '&phone=' + mobile + '&msg=' + code,
						method: 'post'
					}).then(
						res => {
							// this.$Request.postJson("/appLogin/forgetPwd",{
							//     pwd: password,
							//     phone: mobile,
							//     msg: code
							// }).then(res => {
							uni.hideLoading();
							if (res.code === 0) {
								uni.showToast({
									title: '密码找回成功',
									icon: 'none'
								});
								setTimeout(function() {
									uni.navigateTo({
										url: '/pages/login/login'
									});
								}, 1000)
				
							} else {
				
								uni.showModal({
									showCancel: false,
									title: '密码找回失败',
									content: res.msg,
								});
							}
						});
				}
				
			}
			
		}
	};
</script>

<style lang="scss" >
	page {
		background: #ffffff;
	}
	*{
		box-sizing: border-box;
	}
	.bg{
		position: absolute;
		width: 100%;
		height: 100%;
		overflow: hidden;
		top: 0;
	}
	.wrapper{
		position: relative;
		padding-top: 48rpx;
		box-sizing: border-box;
	}
	.flex{
		display: flex;
	}
	.footerView {
		display: flex;
		justify-content: center;
		align-items: center;
		font-weight: 400;
		font-size: 24rpx;
		color: #333333;
		position: absolute;
		left: 0;
		right: 0;
		bottom: 78rpx;
		
	}
	.cuIcon::before{
			width: 30rpx;
			height: 30rpx;
			margin-right: 12rpx;
		}
		.cuIcon-round::before {
			content: "\e6d7";
		}
		.cuIcon-radiobox:before {
			content: "\e75b";
			color: #37A6FF;
		}
	.send-msg {
		line-height: initial;
		font-weight: 400;
		font-size: 28rpx;
		color: #EC6F48;
		border: none;
		background-color: transparent;
	}
	.send-msg::after{
		border: none;
		background-color: transparent;
	}
	
	.container {
		position: relative;
		width: 100%;
		height: 100%;
		overflow: hidden;
		background: #ffffff;
		box-sizing: border-box;
	}

	.wrapper {
		min-height: 100vh;
		position: relative;
		z-index: 90;
	}

	.input-content {
		padding: 0 56rpx;
	}
	.cu-form-group{
		display: flex;
		flex-direction: column;
		align-items: flex-start;
		margin-bottom: 48rpx;
		background-color: transparent;
		padding: 0;
		.title{
			margin-bottom: 32rpx;
			font-weight: 400;
			font-size: 28rpx;
			color: #333333;
		}
		.input{
			width: 100%;
			height: 84rpx;
			line-height: 84rpx;
			background-color: #fff;
			align-items: center;
			padding: 22rpx 32rpx 22rpx 24rpx;
		}
	}

	.confirm-btn {
		width: 100%;
		height: 100rpx;
		text-align: center;
		line-height: 100rpx;
		border-radius: 16rpx;
		margin-top: 40rpx;
		background: #EC6F48;
		font-size: 32rpx;
		color: #FFFFFF;

		&:after {
			border: none;
		}
	}
</style>